"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultLanguagePackLoader = void 0;
const i18n_errors_1 = require("../i18n.errors");
/**
 * Default Language Packer loader, just pass the JSON data to constructor
 *
 * You can custom the loader by implements ILanguagePackerLoader.
 *
 * Example Use case: dynamic load to reduce the download size.
 *
 */
class DefaultLanguagePackLoader {
    constructor(langPacks) {
        this._languagePacks = langPacks;
    }
    load(lang) {
        const languagePack = this._languagePacks[lang];
        if (!languagePack)
            throw new i18n_errors_1.LanguagePackNotFoundError('cannot find language pack: ' + lang);
        return languagePack;
    }
}
exports.DefaultLanguagePackLoader = DefaultLanguagePackLoader;
//# sourceMappingURL=default_loader.class.js.map